# Le manuel utilisateur de &kde;

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

Démon &kde; - déclenche les mises à jour de la base de données Sycoca si requis.

## Synopsis

    kded4 --help Options génériques Qt-options Options de KDE --check

## Description

`kded4` est chargé de créer le fichier sycoca, &cad; le cache binaire des types de service, types MIME et services pour un utilisateur particulier.

Il surveille les dossiers contenant les fichiers .desktop. Quand un fichier est ajouté ou supprimé, il attend 5 secondes (dans le cas d'une série de mises à jour), et lance ensuite `kbuildsycoca`.

## Options génériques

`--author`

  Affiche les informations à propos de l'auteur.

`--help`

  Affiche l'aide à propos des options.

`--help-all`

  Affiche toutes les options.

`--help-kde`

  Affiche les options spécifiques à KDE.

`--help-qt`

  Affiche les options spécifiques à QT.

`--license`

  Affiche les informations à propos de la licence.

`-v` `--version`

  Affiche les informations de version.

## Options de l'application

`--check`

  Vérifie seulement une fois la base de données Sycoca.

## Utilisation

Si `kded4` est appelé sans paramètres et est toujours lancé, il affiche le message :

    Le démon KDE (kded) est déjà lancé.

Si `kded4` est appelé avec `kded4 --check`, il va mettre à jour sycoca en utilisant `kbuildsycoca`.

## Voir aussi

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

## Bogues

Il y a probablement des tonnes de bogues. Utilisez bugs.kde.org pour les rapporter.